## com.bbn.openmap.tools.icon
Class OpenMapAppPartCollection.OpenMapAppPart.Circle

    java.lang.Object
      com.bbn.openmap.tools.icon.IconPartCollectionEntry
          com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart
              com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart.Circle

Enclosing class:
  OpenMapAppPartCollection.OpenMapAppPart

public static class OpenMapAppPartCollection.OpenMapAppPart.Circle
extends OpenMapAppPartCollection.OpenMapAppPart

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart
`OpenMapAppPartCollection.OpenMapAppPart.Circle, OpenMapAppPartCollection.OpenMapAppPart.Poly`

Field Summary

Fields inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`description, name, part`

Constructor Summary
`OpenMapAppPartCollection.OpenMapAppPart.Circle(java.lang.String n, java.lang.String d, double x, double y, double radius)`
`OpenMapAppPartCollection.OpenMapAppPart.Circle(java.lang.String n, java.lang.String d, double x, double y, double radius, java.awt.geom.AffineTransform af)`

Methods inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`getDescription, getIconPart, getName, setDescription, setIconPart, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenMapAppPartCollection.OpenMapAppPart.Circle

    public OpenMapAppPartCollection.OpenMapAppPart.Circle(java.lang.String n,
                                                          java.lang.String d,
                                                          double x,
                                                          double y,
                                                          double radius)

### OpenMapAppPartCollection.OpenMapAppPart.Circle

    public OpenMapAppPartCollection.OpenMapAppPart.Circle(java.lang.String n,
                                                          java.lang.String d,
                                                          double x,
                                                          double y,
                                                          double radius,
                                                          java.awt.geom.AffineTransform af)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details